%global commit 8e196ba99632fc43998cf17cce87282c250d9177
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global cl_hpp_ver 2.0.10

Summary:	OpenCL (Open Computing Language) header files
Name:		opencl-headers
Version:	2.1
Release:	2
License:	MIT
Group:		Development/Other
Url:		https://www.khronos.org/registry/cl/
Source0:	https://github.com/KhronosGroup/OpenCL-Headers/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:	https://github.com/KhronosGroup/OpenCL-CLHPP/releases/download/v%{cl_hpp_ver}/cl2.hpp
# OCL 1.2 compatibility
Source2:	https://www.khronos.org/registry/cl/api/%{version}/cl.hpp
Conflicts:	nvidia-cuda-toolkit-devel < 7.5.18-10
BuildArch:	noarch

%description
OpenCL (Open Computing Language) header files.

%files
%dir %{_includedir}/CL
%{_includedir}/CL/opencl.h
%{_includedir}/CL/cl_platform.h
%{_includedir}/CL/cl.h
%{_includedir}/CL/cl_ext.h
%{_includedir}/CL/cl_egl.h
%{_includedir}/CL/cl_gl.h
%{_includedir}/CL/cl_gl_ext.h
%{_includedir}/CL/cl2.hpp
%{_includedir}/CL/cl.hpp

#----------------------------------------------------------------------------

%prep
%setup -qn OpenCL-Headers-%{commit}
cp -p %{SOURCE1} %{SOURCE2} .
# We're not interested in Direct3D things
rm -vf cl_dx9_media_sharing.h cl_d3d10.h cl_d3d11.h

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{_includedir}/CL/
install -p -m 0644 * -t %{buildroot}%{_includedir}/CL/


%changelog

* Wed Mar 08 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1-2
- (890d56b) Conflict only with older nvidia-cuda-toolkit-devel package


